Home
last modified time | relevance | path

Searched refs:BINDGEN (Results 1 – 4 of 4) sorted by relevance

/Linux-v6.6/scripts/
Drust_is_available.sh74 if ! command -v "$BINDGEN" >/dev/null; then
76 echo >&2 "*** Rust bindings generator '$BINDGEN' could not be found."
133 LC_ALL=C "$BINDGEN" --version 2>/dev/null
137 echo >&2 "*** Running '$BINDGEN' to check the Rust bindings generator version failed with"
150 echo >&2 "*** Running '$BINDGEN' to check the bindings generator version did not return"
162 echo >&2 "*** Rust bindings generator '$BINDGEN' is too old."
170 echo >&2 "*** Rust bindings generator '$BINDGEN' is too new. This may or may not work."
183 LC_ALL=C "$BINDGEN" $(dirname $0)/rust_is_available_bindgen_libclang.h 2>&1 >/dev/null
187 echo >&2 "*** Running '$BINDGEN' to check the libclang version (used by the Rust"
207 echo >&2 "*** Running '$BINDGEN' to check the libclang version (used by the Rust"
[all …]
/Linux-v6.6/rust/
DMakefile312 libclang_maj_ver=$(shell $(BINDGEN) $(srctree)/scripts/rust_is_available_bindgen_libclang.h 2>&1 | …
330 quiet_cmd_bindgen = BINDGEN $@
332 $(BINDGEN) $< $(bindgen_target_flags) \
/Linux-v6.6/
DMakefile505 BINDGEN = bindgen macro
603 export RUSTC RUSTDOC RUSTFMT RUSTC_OR_CLIPPY_QUIET RUSTC_OR_CLIPPY BINDGEN CARGO
/Linux-v6.6/init/
DKconfig1914 default $(shell,command -v $(BINDGEN) >/dev/null 2>&1 && $(BINDGEN) --version || echo n)